This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1276961 - Proprietary Nvidia drivers do not support ABI version in Fedora 23's xorg-X11-server-Xorg package
Proprietary Nvidia drivers do not support ABI version in Fedora 23's xorg-X11...
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drivers (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-01 14:11 EST by Anthony Clark
Modified: 2015-11-02 02:46 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-02 02:46:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anthony Clark 2015-11-01 14:11:00 EST
Description of problem:

After upgrading from Fedora 22 to 23 using fedup.

gdm would flicker rapidly between text Linux console and X for about 5 minutes.  After that had stopped, attempting "startx" showed an error in the Nvidia driver regarding the ABI version of the xorg-server in Fedora 23.  Updating the nvidia driver to the latest version (358.09 at this time) did not help.  Copying /usr/bin/startx to /root/ then editing it to add the "-ignoreABI" parameter allowed the server to start but it quickly crashed back to the console.


Version-Release number of selected component (if applicable):

Fedora 22 with manually installed NVIDIA-Linux-x86_64-358.09.run package downloaded from nvidia site.


How reproducible:

With the nvidia drivers from the nvidia website manually installed on Fedora 22, upgrade to Fedora 23.


Actual results:

Xorg cannot start.


Expected results:

Xorg should start.


Additional info:

Using the negativo 17 provided yum repository to install the custom compiled version of the nvidia drivers does work as expected.

http://negativo17.org/nvidia-driver/

To fix, first reboot to runlevel 3, then:

dnf config-manager --add-repo=http://negativo17.org/repos/fedora-nvidia.repo

NVIDIA-Linux-x86_64-358.09.run --uninstall

dnf install nvidia-driver nvidia-driver-libs.i686

mv /etc/X11/xorg.conf to-somewhere-else

cat << EOF > /etc/X11/xorg.conf.d/00-nvidia.conf
Section "OutputClass"
  Identifier "nvidia"
  MatchDriver "nvidia-drm"
  Driver "nvidia"
EndSection

EOF

systemctl start gdm

reboot
Comment 1 Hans de Goede 2015-11-02 02:46:07 EST
Hi,

The proper place for this bug report is nvidia's bugtracker / forum there is nothing we can do from the Fedora side to fix this.

Regards,

Hans

Note You need to log in before you can comment on or make changes to this bug.